Bug 179997 - [MAINTAINER UPDATE] x11/sterm to version 0.4.1
Summary: [MAINTAINER UPDATE] x11/sterm to version 0.4.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-26 07:50 UTC by kitche
Modified: 2013-07-04 07:20 UTC (History)
0 users

See Also:


Attachments
file.diff (2.51 KB, patch)
2013-06-26 07:50 UTC, kitche
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description kitche 2013-06-26 07:50:00 UTC
Updated Sterm to 0.4.1. Also removed patch-config.mk as port now uses pkg-config.

Fix: Patch attached with submission follows:
Comment 1 Jason Helfman freebsd_committer 2013-06-26 08:43:52 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

I'll take it.
Comment 2 dfilter service freebsd_committer 2013-07-04 07:14:39 UTC
Author: jgh
Date: Thu Jul  4 06:14:25 2013
New Revision: 322262
URL: http://svnweb.freebsd.org/changeset/ports/322262

Log:
  - update to 0.4.1
  - while here:
    - migrate ncurses dependency to USES framework
    - tighten comment
    - install correct LICENSE, as it differs from standard
  
  PR:		179997
  Submitted by:	kitche@kitchetech.com (maintainer)

Deleted:
  head/x11/sterm/files/patch-config.mk
Modified:
  head/x11/sterm/Makefile
  head/x11/sterm/distinfo
  head/x11/sterm/files/patch-Makefile

Modified: head/x11/sterm/Makefile
==============================================================================
--- head/x11/sterm/Makefile	Wed Jul  3 23:16:34 2013	(r322261)
+++ head/x11/sterm/Makefile	Thu Jul  4 06:14:25 2013	(r322262)
@@ -2,20 +2,23 @@
 # $FreeBSD$
 
 PORTNAME=	sterm
-PORTVERSION=	0.3
+PORTVERSION=	0.4.1
 CATEGORIES=	x11
 MASTER_SITES=	http://dl.suckless.org/st/
 DISTNAME=	st-${PORTVERSION}
 
 MAINTAINER=	kitche@kitchetech.com
-COMMENT=	A simple X terminal
+COMMENT=	Simple X terminal
 
-LICENSE=	BSD
+LICENSE=	MITX
+LICENSE_NAME=	MIT/X Consortium License
+LICENSE_FILE=	${WRKSRC}/LICENSE
+LICENSE_PERMS=	dist-mirror dist-sell pkg-mirror pkg-sell auto-accept
 
 LIB_DEPENDS=	fontconfig:${PORTSDIR}/x11-fonts/fontconfig \
 		freetype:${PORTSDIR}/print/freetype2
-RUN_DEPENDS=	${LOCALBASE}/share/misc/terminfo.db:${PORTSDIR}/devel/ncurses
 
+USES=	pkgconfig ncurses:port
 USE_XORG=	x11 xext xft
 MAN1=	st.1
 PLIST_FILES=	bin/st

Modified: head/x11/sterm/distinfo
==============================================================================
--- head/x11/sterm/distinfo	Wed Jul  3 23:16:34 2013	(r322261)
+++ head/x11/sterm/distinfo	Thu Jul  4 06:14:25 2013	(r322262)
@@ -1,2 +1,2 @@
-SHA256 (st-0.3.tar.gz) = 6d6ca8e8a110530caf97538eab96f0ec28ad2dc419054afeea91e8187b940e34
-SIZE (st-0.3.tar.gz) = 24424
+SHA256 (st-0.4.1.tar.gz) = ee2f93c6d8cd95a5ab47423eeebde4a474be470309ceee33fa3c7757eae2bf31
+SIZE (st-0.4.1.tar.gz) = 32947

Modified: head/x11/sterm/files/patch-Makefile
==============================================================================
--- head/x11/sterm/files/patch-Makefile	Wed Jul  3 23:16:34 2013	(r322261)
+++ head/x11/sterm/files/patch-Makefile	Thu Jul  4 06:14:25 2013	(r322262)
@@ -1,11 +1,11 @@
---- Makefile.orig	2012-11-02 20:09:49.000000000 +0100
-+++ Makefile	2012-11-26 21:33:04.882099791 +0100
-@@ -50,7 +50,7 @@
+--- Makefile.orig	2013-06-26 00:09:00.000000000 -0500
++++ Makefile	2013-06-26 00:10:14.000000000 -0500
+@@ -49,7 +49,7 @@
+ 	@sed "s/VERSION/${VERSION}/g" < st.1 > ${DESTDIR}${MANPREFIX}/man1/st.1
  	@chmod 644 ${DESTDIR}${MANPREFIX}/man1/st.1
- 	@echo If things do not seem to work, be sure that there is no \
- 		floating st terminfo in the .terminfo directory in your home dir.
+ 	@echo Please see the README file regarding the terminfo entry of st.
 -	@tic -s st.info
-+	@tic -s -o ${LOCALBASE}/share/misc st.info
++	@tic -s -o  ${LOCALBASE}/share/misc st.info
  
  uninstall:
  	@echo removing executable file from ${DESTDIR}${PREFIX}/bin
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Jason Helfman freebsd_committer 2013-07-04 07:14:43 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!